Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ForumTopicInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ForumTopicInfo

Enclosing class:
  TdApi

public static final class TdApi.ForumTopicInfo extends TdApi.Object
Contains basic information about a forum topic.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`creationDate`
Point in time (Unix timestamp) when the topic was created.
`TdApi.MessageSender`
`creatorId`
Identifier of the creator of the topic.
`TdApi.ForumTopicIcon`
`icon`
Icon of the topic.
`boolean`
`isClosed`
True, if the topic is closed.
`boolean`
`isGeneral`
True, if the topic is the General topic list.
`boolean`
`isHidden`
True, if the topic is hidden above the topic list and closed; for General topic only.
`boolean`
`isOutgoing`
True, if the topic was created by the current user.
`long`
`messageThreadId`
Message thread identifier of the topic.
`String`
`name`
Name of the topic.

## Constructor Summary

Constructors
Constructor
Description
`ForumTopicInfo()`
Contains basic information about a forum topic.
`ForumTopicInfo(long messageThreadId, String name, TdApi.ForumTopicIcon icon, int creationDate, TdApi.MessageSender creatorId, boolean isGeneral, boolean isOutgoing, boolean isClosed, boolean isHidden)`
Contains basic information about a forum topic.
`ForumTopicInfo(DataInput input)`
Contains basic information about a forum topic.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### messageThreadId

public long messageThreadId
Message thread identifier of the topic.

### name

public String name
Name of the topic.

### icon

public TdApi.ForumTopicIcon icon
Icon of the topic.

### creationDate

public int creationDate
Point in time (Unix timestamp) when the topic was created.

### creatorId

public TdApi.MessageSender creatorId
Identifier of the creator of the topic.

### isGeneral

public boolean isGeneral
True, if the topic is the General topic list.

### isOutgoing

public boolean isOutgoing
True, if the topic was created by the current user.

### isClosed

public boolean isClosed
True, if the topic is closed.

### isHidden

public boolean isHidden
True, if the topic is hidden above the topic list and closed; for General topic only.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ForumTopicInfo

public ForumTopicInfo()
Contains basic information about a forum topic.

### ForumTopicInfo

public ForumTopicInfo(long messageThreadId, String name, TdApi.ForumTopicIcon icon, int creationDate, TdApi.MessageSender creatorId, boolean isGeneral, boolean isOutgoing, boolean isClosed, boolean isHidden)
Contains basic information about a forum topic.

Parameters:
  `messageThreadId` - Message thread identifier of the topic.
  `name` - Name of the topic.
  `icon` - Icon of the topic.
  `creationDate` - Point in time (Unix timestamp) when the topic was created.
  `creatorId` - Identifier of the creator of the topic.
  `isGeneral` - True, if the topic is the General topic list.
  `isOutgoing` - True, if the topic was created by the current user.
  `isClosed` - True, if the topic is closed.
  `isHidden` - True, if the topic is hidden above the topic list and closed; for General topic only.

### ForumTopicInfo

public ForumTopicInfo(DataInput input) throws IOException
Contains basic information about a forum topic.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`